|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QDesignerPropertyEditorInterface Class Reference

    #include <QDesignerPropertyEditorInterface>

Part of the QtDesigner module.

Inherits QWidget.

- List of all members, including inherited members

### Public Functions

- QDesignerPropertyEditorInterface ( QWidget * parent, Qt::WindowFlags flags = 0 )
- virtual ~QDesignerPropertyEditorInterface ()
- virtual QDesignerFormEditorInterface * core () const
- virtual QString currentPropertyName () const = 0
- virtual bool isReadOnly () const = 0
- virtual QObject * object () const = 0

- 183 public functions inherited from QWidget
- 28 public functions inherited from QObject
- 10 public functions inherited from QPaintDevice

### Public Slots

- virtual void setObject ( QObject * object ) = 0
- virtual void setPropertyValue ( const QString & name, const QVariant & value, bool changed = true ) = 0
- virtual void setReadOnly ( bool readOnly ) = 0

- 17 public slots inherited from QWidget
- 1 public slot inherited from QObject

### Signals

- void propertyChanged ( const QString & name, const QVariant & value )

- 1 signal inherited from QWidget
- 1 signal inherited from QObject

### Additional Inherited Members

- 52 properties inherited from QWidget
- 1 property inherited from QObject
- 4 static public members inherited from QWidget
- 4 static public members inherited from QObject
- 39 protected functions inherited from QWidget
- 7 protected functions inherited from QObject

## Detailed Description

## Member Function Documentation

### QDesignerPropertyEditorInterface::QDesignerPropertyEditorInterface ( QWidget * parent, Qt::WindowFlags flags = 0 )

### QDesignerPropertyEditorInterface::~QDesignerPropertyEditorInterface () `[virtual]`

### QDesignerFormEditorInterface * QDesignerPropertyEditorInterface::core () const `[virtual]`

### QString QDesignerPropertyEditorInterface::currentPropertyName () const `[pure virtual]`

### bool QDesignerPropertyEditorInterface::isReadOnly () const `[pure virtual]`

### QObject * QDesignerPropertyEditorInterface::object () const `[pure virtual]`

### void QDesignerPropertyEditorInterface::propertyChanged ( const QString & name, const QVariant & value ) `[signal]`

This signal is emitted whenever a property changes in the editor. The property changed and its new value are specified by name and value respectively.

### void QDesignerPropertyEditorInterface::setObject ( QObject * object ) `[pure virtual slot]`

### void QDesignerPropertyEditorInterface::setPropertyValue ( const QString & name, const QVariant & value, bool changed = true ) `[pure virtual slot]`

### void QDesignerPropertyEditorInterface::setReadOnly ( bool readOnly ) `[pure virtual slot]`